/* stylelint-disable selector-type-no-unknown */
.tutorial-panel {
  display: flex;
  flex-direction: column;
  margin-bottom: 30px;
}

.tutorial-panel__hint-container-body,
.tutorial-panel__explication-container-body {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 10px;
  padding: 20px 0 40px;

  @include device-is('tablet') {
    flex-direction: row;
  }
}

.tutorial-panel__hint-container,
.tutorial-panel__explication-container {
  display: flex;
  flex-direction: column;
  max-width: 991px;
  border-radius: 5px;
}

.tutorial-panel__tutorials-container {
  display: flex;
  flex-direction: column;
  margin: 0;
  padding: 0;
  list-style: none;

  & .tutorial-card {
    margin-bottom: 16px;
  }
}

.tutorial-panel__tutorial-info {
  margin: -5px 5px 0;
  color: $pix-neutral-50;
  font-size: 0.813rem;
  line-height: 1.25rem;
}

.tutorial-panel__hint-title,
.tutorial-panel__explication-title {
  @include tutorial-panel-title($pix-neutral-10);
}

.tutorial-panel__hint-content,
.tutorial-panel__explication-content
 {
  font-size: 1.125rem;
  font-family: $font-open-sans;

  & p {
    padding: 12px 12px 0;
  }
}

.tutorial-panel__hint-picto-container,
.tutorial-panel__explication-picto-container {
  vertical-align: middle;
}

.tutorial-panel__hint-picto,
.tutorial-panel__explication-picto {
  min-width: 100px;
  padding: 0 20px;
}

.tutorial-panel__hint-content i,
.tutorial-panel__explication-content i {
  color: #666666;
}

.tutorial-panel__hint-content quote,
.tutorial-panel__hint-content blockquote,
.tutorial-panel__explication-content quote,
.tutorial-panel__explication-content blockquote {
  color: black;
  background: whitesmoke;
  border-radius: 5px;
  padding: 0;
}

.tutorial-panel__hint-content quote::before,
.tutorial-panel__hint-content blockquote::before,
.tutorial-panel__explication-content quote::before,
.tutorial-panel__explication-content blockquote::before {
  content: open-quote '\00a0 ';
}

.tutorial-panel__hint-content quote::after,
.tutorial-panel__hint-content blockquote::after,
.tutorial-panel__explication-content quote::after,
.tutorial-panel__explication-content blockquote::after {
  content: '\00a0 ' close-quote;
}
